/*
 *  TSWExpressionIndexed.h
 *  TSWExpressionEvaluator
 *
 *  Created by Raj Doshi on 3/23/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */

/*
 * Classes can implement this protocol so that they can be accessed
 * with indexed expression (e.g. object[3]) without having to 
 * extend NSArray or NSDictionary.
 */
@protocol TSWExpressionIndexed

- (id)objectAtIndex:(NSUInteger)i;

@end
